Name: R-contrib
Summary: contributed packages for the R language
Group: Development/Languages
Copyright: Mixed - see licence info in doc directory.
URL: http://www.ci.tuwien.ac.at/R/mirrors/
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: /tmp/R
Icon: logosm-trans.gif
Version: 1998.09.08
Release: 2
Source: R-contrib-1998.09.08.tar.gz
Requires: R-base >= 0.62

%description 
Packages which extend the capabilities of the R base distribution
and are distributed on the Comprehensive R Archive Network (CRAN).

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

PKG_LIST=`ls`
#
# Install it. You need R-base installed on your build machine for this
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library
for pkg in $PKG_LIST; do
   R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library $pkg
done

# Gather documentation from contrib packages in one directory.  There isn't
# much consistency between packages, so we assume that anything not in
# one of the standard directories is documentation, and copy it.
#
mkdir contrib
for pkg in $PKG_LIST; do
   for docfile in `ls ${pkg}`; do
      case $docfile in
         INDEX) ;;
         TITLE) ;;
         DESCRIPTION) ;;
         R) ;;
         man) ;;
         src) ;;
         src-c) ;;	#deprecated
         data) ;;
         exec) ;;
         *) cp --recursive --parents ${pkg}/${docfile} contrib/;;
      esac
   done
done

#Create file list
#
rm -f ${RPM_BUILD_ROOT}/usr/lib/R/library/LibIndex
ls ${RPM_BUILD_ROOT}/usr/lib/R/library | sed \
	"s@^@%attr(-,root,root) /usr/lib/R/library/&@" \
	> rpm-contrib-files
ls contrib | sed "s@^@%attr(-,root,root) %doc contrib/&@" \
	>> rpm-contrib-files

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/etc/build-help ]; then
#   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
cd ${RPM_INSTALL_PREFIX}/lib/R/library
cat */TITLE > LibIndex
../etc/build-help --rhome=${RPM_INSTALL_PREFIX}/lib/R --htmllists 2>&1 > /dev/null

%postun
cd ${RPM_INSTALL_PREFIX}/lib/R/library
cat */TITLE > LibIndex
../etc/build-help --rhome=${RPM_INSTALL_PREFIX}/lib/R --htmllists 2>&1 > /dev/null

%files -f rpm-contrib-files

%changelog
* Tue Oct 27 1998 Jeff Johnson <jbj@redhat.com>
- re-package for powertools (from Martyn Plummer <plummer@iarc.fr>)
- eliminate %post output.
